import { Router } from 'aurelia-router';
import { EntityDetailViewModelBase } from '../../vm/detail-view-model-base';
import { AgGridView, User } from '../../model/common-model';
import { ServiceBase } from '../../data/service-base';
import { CustomLogger } from '../../modules/custom-logger';
export declare class AgGridViewDetail extends EntityDetailViewModelBase<AgGridView> {
    ressourceName: string;
    documentTitle: string;
    protected canAddPublicAgGridView: boolean;
    protected canAddSharedAgGridView: boolean;
    userService: ServiceBase<User>;
    constructor(router: Router, logger: CustomLogger);
    activate(params: any): Promise<void>;
    saveCurrentEntity(): Promise<AgGridView>;
    getAvatarUri(userId: number): string;
}
